Image Assets
Create Image Asset
Create a new image asset
POST
/
api
/
v1
/
image-assets
Create Image Asset
curl --request POST \
--url https://api.passentry.com/api/v1/image-assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.passentry.com/api/v1/image-assets"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.passentry.com/api/v1/image-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "19cb334f9696e64e10e7759f0",
"type": "imageAsset",
"attributes": {
"name": "Silver tier banner",
"imageType": "banner",
"processingStatus": "pending",
"size": {
"width": 1125,
"height": 432
},
"entityId": "a1b2c3d4",
"createdAt": "2026-03-01T12:00:00Z",
"url": "https://cdn.passentry.com/image-assets/99/553085/19cb334f9696e64e10e7759f0.png",
"watermark": {
"color": "light",
"position": "bottomRight"
}
}
}
}{
"errors": [
"Access denied"
]
}{
"errors": [
"<string>"
]
}Was this page helpful?
⌘I
Create Image Asset
